org.springframework.jms.listener

## Interface MessageListenerContainer

All Superinterfaces:
  org.springframework.context.Lifecycle, org.springframework.context.Phased, org.springframework.context.SmartLifecycle

All Known Implementing Classes:
  AbstractMessageListenerContainer, AbstractPollingMessageListenerContainer, DefaultMessageListenerContainer, JmsMessageEndpointManager, SimpleMessageListenerContainer

    public interface MessageListenerContainer
    extends org.springframework.context.SmartLifecycle

Internal abstraction used by the framework representing a message listener container. Not meant to be implemented externally with support for both JMS and JCA style containers.

Since:
  4.1
Author:
  Stephane Nicoll

### Field Summary

### Fields inherited from interface org.springframework.context.SmartLifecycle

`DEFAULT_PHASE`

### Method Summary

All Methods Instance Methods Abstract Methods
`DestinationResolver` `getDestinationResolver()` Return the `DestinationResolver` to use to resolve destinations by names.
`MessageConverter` `getMessageConverter()` Return the `MessageConverter` that can be used to convert `Message`, if any.
`QosSettings` `getReplyQosSettings()` Return the `QosSettings` to use when sending a reply, or `null` if the broker's defaults should be used.
`boolean` `isPubSubDomain()` Return whether the Publish/Subscribe domain (`Topics`) is used.
`boolean` `isReplyPubSubDomain()` Return whether the reply destination uses Publish/Subscribe domain (`Topics`).
`void` `setupMessageListener(Object messageListener)` Setup the message listener to use.

### Methods inherited from interface org.springframework.context.SmartLifecycle

`getPhase, isAutoStartup, stop`

### Methods inherited from interface org.springframework.context.Lifecycle

`isRunning, start, stop`

### Method Detail

#### setupMessageListener

    void setupMessageListener(Object messageListener)

Setup the message listener to use. Throws an `IllegalArgumentException` if that message listener type is not supported.

#### getMessageConverter

    @Nullable
    MessageConverter getMessageConverter()

Return the `MessageConverter` that can be used to convert `Message`, if any.

#### getDestinationResolver

    @Nullable
    DestinationResolver getDestinationResolver()

Return the `DestinationResolver` to use to resolve destinations by names.

#### isPubSubDomain

    boolean isPubSubDomain()

Return whether the Publish/Subscribe domain (`Topics`) is used. Otherwise, the Point-to-Point domain (`Queues`) is used.

#### isReplyPubSubDomain

    boolean isReplyPubSubDomain()

Return whether the reply destination uses Publish/Subscribe domain (`Topics`). Otherwise, the Point-to-Point domain (`Queues`) is used.

By default, the value is identical to `isPubSubDomain()`.

#### getReplyQosSettings

    @Nullable
    QosSettings getReplyQosSettings()

Return the `QosSettings` to use when sending a reply, or `null` if the broker's defaults should be used.

Since:
  5.0